%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	DESTDIR=%{buildroot} \\\
	PACKAGE_VERSION=%{version} \\\
	PACKAGE_DISPLAY_NAME=%{name}-%{version}-1 \\\
	%{nil}

Name:		ovirt-engine-extension-logger-log4j
Version:	1.1.0
Release:	1%{?dist}
Summary:	oVirt Log4j Logger Extension
Group:		%{ovirt_product_group}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source:		%{name}-%{version}.tar.gz

# We need to disable automatic generation of "Requires: java-headless >= 1:11"
# by xmvn, becase JDK 11 doesn't provide java-headless artifact, but it
# provides java-11-headless.
AutoReq:	no

BuildArch:	noarch

BuildRequires:	java-11-openjdk-devel
BuildRequires:	maven-local
BuildRequires:	mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-source-plugin)

BuildRequires:	mvn(log4j:log4j:1.2.17)
BuildRequires:	mvn(org.ovirt.engine.api:ovirt-engine-extensions-api)


Requires:	java-11-openjdk-headless >= 1:11.0.0
Requires:	javapackages-filesystem
Requires:	ovirt-engine-extensions-api
Requires:	log4j12

%description
This package contains the oVirt Engine Logger Log4j extensions to forward oVirt
engine logs to remote syslog service.

%prep
%setup -c -q

%build
# Necessary to override the default for xmvn, which is JDK 8
export JAVA_HOME="/usr/lib/jvm/java-11-openjdk"

make %{make_common_opts} generate-files
%mvn_build -j

%install
make %{make_common_opts} install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_datadir}/%{name}
%doc README*
%{_datadir}/%{name}/examples/
%{_datadir}/%{name}/modules/
%{_sysconfdir}/ovirt-engine/engine.conf.d/50-ovirt-engine-extension-logger-log4j.conf


%changelog
* Wed Mar 25 2020 Martin Perina <mperina@redhat.com> 1.1.0-1
- Moved java classes under org.ovirt.engine.extension.logger.log4j package
- Switch to maven build
- Require OpenJDK 11
- Release the project for EL8 only

* Fri Nov 23 2018 Martin Perina <mperina@redhat.com> 1.0.3-1
- Fix Fedora build issues
- Switch to oVirt STDCIv2

* Mon Mar 2 2015 Alon Bar-Lev <alonbl@redhat.com> 1.0.1-1
- Initial.

* Mon Dec 1 2014 Ravi Nori <rnori@redhat.com> 1.0.0-1
- Initial.
